A collection of links of resources and projects I collected in order to implement EIP-191 and EIP-712 into [geth](https://github.com/ethereum/go-ethereum). Note that this is a WIP and the registry compatibility levels at the bottom of the page will change soon.

### Resources

#### EIP-191
- [Specs](https://github.com/ethereum/EIPs/blob/master/EIPS/eip-191.md)
- [Discussion](https://github.com/ethereum/EIPs/issues/191)
- [`personal_sign` and \x19 ](https://github.com/ethereum/go-ethereum/issues/2940)

#### EIP-712
- [Specs](https://github.com/ethereum/EIPs/blob/master/EIPS/eip-712.md)
- [Discussion](https://github.com/ethereum/EIPs/issues/712)
- [Issues with the ASCII format](https://github.com/ethereum/go-ethereum/issues/14794)

### Repos

- [Signature and verification examples for EIP-712](https://github.com/ethereum/EIPs/tree/master/assets/eip-712)
- [MetaMask's signature utils](https://github.com/MetaMask/eth-sig-util)
- [MetaMask simplest JavaScript examples](https://github.com/danfinlay/js-eth-personal-sign-examples)
- [MetaMask signature verification in Solidity](https://github.com/ukstv/sign-typed-data-test/blob/master)
- [Minimalistic Ethereum identity project adhering to EIP-191](https://github.com/HatchCrypto/unilogin)
- [Meta transaction repo collection](https://github.com/jpitts/eth-community-discussions/blob/master/meta-transactions.md)

### Registry of EIP-191 compatible projects

|  Project                                                            | Compatible |
|  ------------------------------------------------------------------ | :--------: |
|  [Geth](https://github.com/ethereum/go-ethereum)                    |    WIP 🛠  |
|  [Parity](https://github.com/paritytech/parity-ethereum)            |    WIP 🛠  |
|  [Web3.js](https://github.com/ethereum/web3.js/)                    |    No ❌   |
|  [Web3.py](https://github.com/ethereum/web3.py)                     |    No ❌   |
|  [MetaMask](https://github.com/MetaMask/metamask-extension)         |    No ❌   |
|  [Mew](https://github.com/MyEtherWallet/MyEtherWallet)              |    No ❌   |
|  [Ledger](https://github.com/LedgerHQ)                              |    No ❌   |
|  [Trezor](https://github.com/trezor)                                |    No ❌   |


### Registry of EIP-712 compatible projects

|  Project                                                            | Compatible |
|  ------------------------------------------------------------------ | :--------: |
|  [Geth](https://github.com/ethereum/go-ethereum)                    |    WIP 🛠  |
|  [Parity](https://github.com/paritytech/parity-ethereum)            |    WIP 🛠  |
|  [Web3.js](https://github.com/ethereum/web3.js/)                    |    WIP 🛠  |
|  [Web3.py](https://github.com/ethereum/web3.py)                     |    No ❌   |
|  [MetaMask](https://github.com/MetaMask/metamask-extension)         |    WIP 🛠  |
|  [Mew](https://github.com/MyEtherWallet/MyEtherWallet)              |    No ❌   |
|  [Ledger](https://github.com/LedgerHQ)                              |    No ❌   |
|  [Trezor](https://github.com/trezor)                                |    No ❌   |

